diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureOre.java b/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureOre.java
index 0c2586012..b73382f39 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureOre.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureOre.java
@@ -32,20 +32,20 @@ public class WorldFeatureOre extends WorldFeature
 	public boolean place(World world, Random random, int xStart, int yStart, int zStart)
     {
         float f = random.nextFloat() * MathHelper.PI;
-        double xMax = (float)(xStart + 8) + (MathHelper.sin(f) * (float)numberOfBlocks) / 8F;
-        double xMin = (float)(xStart + 8) - (MathHelper.sin(f) * (float)numberOfBlocks) / 8F;
-        double zMax = (float)(zStart + 8) + (MathHelper.cos(f) * (float)numberOfBlocks) / 8F;
-        double zMin = (float)(zStart + 8) - (MathHelper.cos(f) * (float)numberOfBlocks) / 8F;
+        double xMax = (float)(xStart + 8) + MathHelper.sin(f) * (float)numberOfBlocks / 8F;
+        double xMin = (float)(xStart + 8) - MathHelper.sin(f) * (float)numberOfBlocks / 8F;
+        double zMax = (float)(zStart + 8) + MathHelper.cos(f) * (float)numberOfBlocks / 8F;
+        double zMin = (float)(zStart + 8) - MathHelper.cos(f) * (float)numberOfBlocks / 8F;
         double yMax = yStart + random.nextInt(3) + 2;
         double yMin = yStart - random.nextInt(3) + 2;
         for(int l = 0; l <= numberOfBlocks; l++)
         {
-            double d6 = xMax + ((xMin - xMax) * (double)l) / (double)numberOfBlocks;
-            double d7 = yMax + ((yMin - yMax) * (double)l) / (double)numberOfBlocks;
-            double d8 = zMax + ((zMin - zMax) * (double)l) / (double)numberOfBlocks;
-            double d9 = (random.nextDouble() * (double)numberOfBlocks) / 16D;
-            double d10 = (double)(MathHelper.sin(((float)l * MathHelper.PI) / (float)numberOfBlocks) + 1.0F) * d9 + 1.0D;
-            double d11 = (double)(MathHelper.sin(((float)l * MathHelper.PI) / (float)numberOfBlocks) + 1.0F) * d9 + 1.0D;
+            double d6 = xMax + (xMin - xMax) * (double)l / (double)numberOfBlocks;
+            double d7 = yMax + (yMin - yMax) * (double)l / (double)numberOfBlocks;
+            double d8 = zMax + (zMin - zMax) * (double)l / (double)numberOfBlocks;
+            double d9 = random.nextDouble() * (double)numberOfBlocks / 16D;
+            double d10 = (double)(MathHelper.sin((float)l * MathHelper.PI / (float)numberOfBlocks) + 1.0F) * d9 + 1.0D;
+            double d11 = (double)(MathHelper.sin((float)l * MathHelper.PI / (float)numberOfBlocks) + 1.0F) * d9 + 1.0D;
             int xVeinStart = MathHelper.floor(d6 - d10 / 2D);
             int yVeinStart = MathHelper.floor(d7 - d11 / 2D);
             int zVeinStart = MathHelper.floor(d8 - d10 / 2D);
diff --git a/game/core/src/main/java/net/minecraft/core/world/noise/BetaImprovedNoise.java b/game/core/src/main/java/net/minecraft/core/world/noise/BetaImprovedNoise.java
new file mode 100644
index 000000000..4e88dac6e
--- /dev/null
+++ b/game/core/src/main/java/net/minecraft/core/world/noise/BetaImprovedNoise.java
@@ -0,0 +1,131 @@
+package net.minecraft.core.world.noise;
+
+import java.util.Random;
+
+public class BetaImprovedNoise
+    extends BaseImprovedNoise
+{
+    public BetaImprovedNoise(final Random random) {
+        super(random);
+    }
+
+    @Override
+    public void add(final double[] arr, final double x, final double y, final double z, final int xSize, final int ySize, final int zSize, final double xScale, final double yScale, final double zScale, final double levelScale) {
+        if (ySize == 1) {
+            int var64 = 0;
+            int var66 = 0;
+            int var21 = 0;
+            int var69 = 0;
+            double var72 = 0.0;
+            double var76 = 0.0;
+            int var80 = 0;
+            double var82 = 1.0 / levelScale;
+
+            for (int var30 = 0; var30 < xSize; var30++) {
+                double var83 = (x + (double)var30) * xScale + this.xo;
+                int var85 = (int)var83;
+                if (var83 < (double)var85) {
+                    var85--;
+                }
+
+                int var34 = var85 & 0xFF;
+                var83 -= (double)var85;
+                double var86 = var83 * var83 * var83 * (var83 * (var83 * 6.0 - 15.0) + 10.0);
+
+                for (int var87 = 0; var87 < zSize; var87++) {
+                    double var89 = (z + (double)var87) * zScale + this.zo;
+                    int var91 = (int)var89;
+                    if (var89 < (double)var91) {
+                        var91--;
+                    }
+
+                    int var92 = var91 & 0xFF;
+                    var89 -= (double)var91;
+                    double var93 = var89 * var89 * var89 * (var89 * (var89 * 6.0 - 15.0) + 10.0);
+                    var64 = this.p[var34] + 0;
+                    var66 = this.p[var64] + var92;
+                    var21 = this.p[var34 + 1] + 0;
+                    var69 = this.p[var21] + var92;
+                    var72 = this.lerp(var86, this.grad(this.p[var66], var83, var89), this.grad(this.p[var69], var83 - 1.0, 0.0, var89));
+                    var76 = this.lerp(var86, this.grad(this.p[var66 + 1], var83, 0.0, var89 - 1.0), this.grad(this.p[var69 + 1], var83 - 1.0, 0.0, var89 - 1.0));
+                    double var94 = this.lerp(var93, var72, var76);
+                    arr[var80++] += var94 * var82;
+                }
+            }
+        } else {
+            int var19 = 0;
+            double var20 = 1.0 / levelScale;
+            int var22 = -1;
+            int var23 = 0;
+            int var24 = 0;
+            int var25 = 0;
+            int var26 = 0;
+            int var27 = 0;
+            int var28 = 0;
+            double var29 = 0.0;
+            double var31 = 0.0;
+            double var33 = 0.0;
+            double var35 = 0.0;
+
+            for (int var37 = 0; var37 < xSize; var37++) {
+                double var38 = (x + (double)var37) * xScale + this.xo;
+                int var40 = (int)var38;
+                if (var38 < (double)var40) {
+                    var40--;
+                }
+
+                int var41 = var40 & 0xFF;
+                var38 -= (double)var40;
+                double var42 = var38 * var38 * var38 * (var38 * (var38 * 6.0 - 15.0) + 10.0);
+
+                for (int var44 = 0; var44 < zSize; var44++) {
+                    double var45 = (z + (double)var44) * zScale + this.zo;
+                    int var47 = (int)var45;
+                    if (var45 < (double)var47) {
+                        var47--;
+                    }
+
+                    int var48 = var47 & 0xFF;
+                    var45 -= (double)var47;
+                    double var49 = var45 * var45 * var45 * (var45 * (var45 * 6.0 - 15.0) + 10.0);
+
+                    for (int var51 = 0; var51 < ySize; var51++) {
+                        double var52 = (y + (double)var51) * yScale + this.yo;
+                        int var54 = (int)var52;
+                        if (var52 < (double)var54) {
+                            var54--;
+                        }
+
+                        int var55 = var54 & 0xFF;
+                        var52 -= (double)var54;
+                        double var56 = var52 * var52 * var52 * (var52 * (var52 * 6.0 - 15.0) + 10.0);
+                        if (var51 == 0 || var55 != var22) {
+                            var22 = var55;
+                            var23 = this.p[var41] + var55;
+                            var24 = this.p[var23] + var48;
+                            var25 = this.p[var23 + 1] + var48;
+                            var26 = this.p[var41 + 1] + var55;
+                            var27 = this.p[var26] + var48;
+                            var28 = this.p[var26 + 1] + var48;
+                            var29 = this.lerp(var42, this.grad(this.p[var24], var38, var52, var45), this.grad(this.p[var27], var38 - 1.0, var52, var45));
+                            var31 = this.lerp(var42, this.grad(this.p[var25], var38, var52 - 1.0, var45), this.grad(this.p[var28], var38 - 1.0, var52 - 1.0, var45));
+                            var33 = this.lerp(
+                                var42, this.grad(this.p[var24 + 1], var38, var52, var45 - 1.0), this.grad(this.p[var27 + 1], var38 - 1.0, var52, var45 - 1.0)
+                            );
+                            var35 = this.lerp(
+                                var42,
+                                this.grad(this.p[var25 + 1], var38, var52 - 1.0, var45 - 1.0),
+                                this.grad(this.p[var28 + 1], var38 - 1.0, var52 - 1.0, var45 - 1.0)
+                            );
+                        }
+
+                        double var58 = this.lerp(var56, var29, var31);
+                        double var60 = this.lerp(var56, var33, var35);
+                        double var62 = this.lerp(var49, var58, var60);
+                        arr[var19++] += var62 * var20;
+                    }
+                }
+            }
+        }
+    }
+}
diff --git a/game/core/src/main/java/net/minecraft/core/world/noise/BetaPerlinNoise.java b/game/core/src/main/java/net/minecraft/core/world/noise/BetaPerlinNoise.java
new file mode 100644
index 000000000..a117b2687
--- /dev/null
+++ b/game/core/src/main/java/net/minecraft/core/world/noise/BetaPerlinNoise.java
@@ -0,0 +1,26 @@
+package net.minecraft.core.world.noise;
+
+import java.util.Random;
+
+public class BetaPerlinNoise
+    extends BasePerlinNoise<BetaImprovedNoise>
+{
+    public BetaPerlinNoise(final long seed, final int numOctaves) {
+        super(seed, numOctaves);
+    }
+
+    public BetaPerlinNoise(final long seed, final int numOctaves, final int preOctaves) {
+        super(seed, numOctaves, preOctaves);
+    }
+
+    @Override
+    protected BetaImprovedNoise[] newOctaves(final Random random, final int numOctaves) {
+        BetaImprovedNoise[] levels = new BetaImprovedNoise[numOctaves];
+
+        for (int i = 0; i < numOctaves; i++) {
+            levels[i] = new BetaImprovedNoise(random);
+        }
+
+        return levels;
+    }
+}
diff --git a/game/core/src/main/java/net/minecraft/core/world/save/conversion/ChunkConverter.java b/game/core/src/main/java/net/minecraft/core/world/save/conversion/ChunkConverter.java
index cca61f394..51130e82b 100644
--- a/game/core/src/main/java/net/minecraft/core/world/save/conversion/ChunkConverter.java
+++ b/game/core/src/main/java/net/minecraft/core/world/save/conversion/ChunkConverter.java
@@ -307,7 +307,7 @@ public class ChunkConverter
 			converters[0].addMapping(new MappingSimple(132, 593)); //Block.doorIronTop.blockID));
 
 			converters[0].addMapping(new MappingSimple(134, 721)); //Block.layerLeavesOak.blockID));
-			converters[0].addMapping(new MappingSimple(135, 831)); //Block.portalParadise.blockID));
+			converters[0].addMapping(new MappingSimple(135, 831)); //Block.portalDrift.blockID));
 			converters[0].addMapping(new MappingSimple(136, 201)); //Block.grassRetro.blockID));
 			converters[0].addMapping(new MappingSimple(137, 291)); //Block.leavesOakRetro.blockID));
 			converters[0].addMapping(new MappingSimple(138, 671)); //Block.trommelActive.blockID));
diff --git a/game/core/src/main/java/net/minecraft/core/world/save/conversion/SaveConverterLegacyTo19132.java b/game/core/src/main/java/net/minecraft/core/world/save/conversion/SaveConverterLegacyTo19132.java
index 075b31c56..11b7f86fd 100644
--- a/game/core/src/main/java/net/minecraft/core/world/save/conversion/SaveConverterLegacyTo19132.java
+++ b/game/core/src/main/java/net/minecraft/core/world/save/conversion/SaveConverterLegacyTo19132.java
@@ -71,7 +71,7 @@ public class SaveConverterLegacyTo19132
             deleteOldWorldData(dim1ChunkDirs, dim0ChunkFiles.size() + dim1ChunkFiles.size() + dim0ChunkDirs.size(), totalConversions, progress);
         }
 
-        tag.putByteArray("WorldTypes", new byte[] { (byte) LegacyWorldTypes.getWorldTypeId(WorldTypes.OVERWORLD_RETRO), (byte) LegacyWorldTypes.getWorldTypeId(WorldTypes.NETHER_DEFAULT), (byte) LegacyWorldTypes.getWorldTypeId(WorldTypes.PARADISE_DEFAULT) });
+        tag.putByteArray("WorldTypes", new byte[] { (byte) LegacyWorldTypes.getWorldTypeId(WorldTypes.OVERWORLD_RETRO), (byte) LegacyWorldTypes.getWorldTypeId(WorldTypes.NETHER_DEFAULT), (byte) LegacyWorldTypes.getWorldTypeId(WorldTypes.DRIFT_DEFAULT) });
     }
 
     private void getOldFormatFolders(File file, ArrayList<ChunkFile> chunkFileList, ArrayList<File> chunkDirList)
diff --git a/game/core/src/main/java/net/minecraft/core/world/season/SeasonDriftGold.java b/game/core/src/main/java/net/minecraft/core/world/season/SeasonDriftGold.java
new file mode 100644
index 000000000..bffd3a7ec
--- /dev/null
+++ b/game/core/src/main/java/net/minecraft/core/world/season/SeasonDriftGold.java
@@ -0,0 +1,7 @@
+package net.minecraft.core.world.season;
+
+public class SeasonDriftGold extends Season {
+	public SeasonDriftGold(String id) {
+		super(id, true, false);
+	}
+}
diff --git a/game/core/src/main/java/net/minecraft/core/world/season/SeasonDriftSilver.java b/game/core/src/main/java/net/minecraft/core/world/season/SeasonDriftSilver.java
new file mode 100644
index 000000000..afd580931
--- /dev/null
+++ b/game/core/src/main/java/net/minecraft/core/world/season/SeasonDriftSilver.java
@@ -0,0 +1,7 @@
+package net.minecraft.core.world.season;
+
+public class SeasonDriftSilver extends Season {
+	public SeasonDriftSilver(String id) {
+		super(id, true, false);
+	}
+}
diff --git a/game/core/src/main/java/net/minecraft/core/world/season/Seasons.java b/game/core/src/main/java/net/minecraft/core/world/season/Seasons.java
index a029095b6..e01ae3a28 100644
--- a/game/core/src/main/java/net/minecraft/core/world/season/Seasons.java
+++ b/game/core/src/main/java/net/minecraft/core/world/season/Seasons.java
@@ -17,8 +17,8 @@ public abstract class Seasons
     public final static Season OVERWORLD_WINTER = register(new SeasonWinter("overworld.winter").allowWeather(Weathers.OVERWORLD_SNOW, 0.5f).allowWeather(Weathers.OVERWORLD_FOG, 0.25f).setLetWeatherCleanUpSnow(false).setDayLength(0.3f).setCropGrowthFactor(0.25f).setKillFlowers().setSaplingDropFactor(0.1f));
     public final static Season OVERWORLD_HELL = register(new SeasonOverworldHell("overworld.hell"));
     public final static Season OVERWORLD_WINTER_ENDLESS = register(new SeasonWinter("overworld.winter.endless").allowWeather(Weathers.OVERWORLD_WINTER_SNOW, 1.0f).setLetWeatherCleanUpSnow(false).setDayLength(0.3f).setCropGrowthFactor(0.25f).setKillFlowers().setSaplingDropFactor(0.1f));
-    public final static Season PARADISE_GOLD = register(new SeasonParadiseGold("paradise.gold").setLetWeatherCleanUpSnow(false));
-    public final static Season PARADISE_SILVER = register(new SeasonParadiseSilver("paradise.silver").setLetWeatherCleanUpSnow(false));
+    public final static Season DRIFT_GOLD = register(new SeasonDriftGold("drift.gold").setLetWeatherCleanUpSnow(false));
+    public final static Season DRIFT_SILVER = register(new SeasonDriftSilver("drift.silver").setLetWeatherCleanUpSnow(false));
 
     public static Season getSeason(String key)
     {
diff --git a/game/core/src/main/java/net/minecraft/core/world/type/WorldTypeGroups.java b/game/core/src/main/java/net/minecraft/core/world/type/WorldTypeGroups.java
index 3d9ccc21f..6045382e0 100644
--- a/game/core/src/main/java/net/minecraft/core/world/type/WorldTypeGroups.java
+++ b/game/core/src/main/java/net/minecraft/core/world/type/WorldTypeGroups.java
@@ -45,6 +45,9 @@ public class WorldTypeGroups {
         GROUPS.add(
             new Group(WorldTypes.OVERWORLD_PARADISE)
         );
+        GROUPS.add(
+            new Group(WorldTypes.OVERWORLD_BETA_173)
+        );
         GROUPS.add(
             new Group(WorldTypes.OVERWORLD_CLASSIC)
         );
diff --git a/game/core/src/main/java/net/minecraft/core/world/type/WorldTypes.java b/game/core/src/main/java/net/minecraft/core/world/type/WorldTypes.java
index 294fb8285..0fd6c03a9 100644
--- a/game/core/src/main/java/net/minecraft/core/world/type/WorldTypes.java
+++ b/game/core/src/main/java/net/minecraft/core/world/type/WorldTypes.java
@@ -7,7 +7,7 @@ import net.minecraft.core.world.season.Seasons;
 import net.minecraft.core.world.type.nether.WorldTypeNether;
 import net.minecraft.core.world.type.nether.WorldTypeNetherSkyblock;
 import net.minecraft.core.world.type.overworld.*;
-import net.minecraft.core.world.type.paradise.WorldTypeParadise;
+import net.minecraft.core.world.type.drift.WorldTypeDrift;
 import net.minecraft.core.world.weather.Weathers;
 
 public abstract class WorldTypes {
@@ -38,10 +38,10 @@ public abstract class WorldTypes {
                         .bounds(0, 127, 0)
             )
     );
-    public static final WorldType PARADISE_DEFAULT = register(
-            "minecraft:paradise.default",
-            new WorldTypeParadise(
-                    WorldTypeParadise.defaultProperties("worldType.paradise.default")
+    public static final WorldType DRIFT_DEFAULT = register(
+            "minecraft:drift.default",
+            new WorldTypeDrift(
+                    WorldTypeDrift.defaultProperties("worldType.drift.default")
             )
     );
     public static final WorldType FLAT = register(
@@ -167,6 +167,13 @@ public abstract class WorldTypes {
                         .bounds(0, 127, 0)
             )
     );
+    public static final WorldType OVERWORLD_BETA_173 = register(
+            "minecraft:overworld.beta_173",
+            new WorldTypeOverworldB173(
+                    WorldTypeOverworld.defaultProperties("worldType.overworld.beta_173")
+                            .bounds(0, 127, 64)
+            )
+    );
     public static final WorldType EMPTY = register(
             "minecraft:empty",
             new WorldTypeEmpty(
diff --git a/game/core/src/main/java/net/minecraft/core/world/type/paradise/WorldTypeParadise.java b/game/core/src/main/java/net/minecraft/core/world/type/drift/WorldTypeDrift.java
similarity index 85%
rename from game/core/src/main/java/net/minecraft/core/world/type/paradise/WorldTypeParadise.java
rename to game/core/src/main/java/net/minecraft/core/world/type/drift/WorldTypeDrift.java
index 72c0684a7..f51eb13b0 100644
--- a/game/core/src/main/java/net/minecraft/core/world/type/paradise/WorldTypeParadise.java
+++ b/game/core/src/main/java/net/minecraft/core/world/type/drift/WorldTypeDrift.java
@@ -1,4 +1,4 @@
-package net.minecraft.core.world.type.paradise;
+package net.minecraft.core.world.type.drift;
 
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Blocks;
@@ -9,13 +9,13 @@ import net.minecraft.core.world.biome.provider.BiomeProvider;
 import net.minecraft.core.world.biome.provider.BiomeProviderSingleBiome;
 import net.minecraft.core.world.config.season.SeasonConfig;
 import net.minecraft.core.world.generate.chunk.ChunkGenerator;
-import net.minecraft.core.world.generate.chunk.perlin.paradise.ChunkGeneratorParadise;
+import net.minecraft.core.world.generate.chunk.perlin.drift.ChunkGeneratorDrift;
 import net.minecraft.core.world.season.Seasons;
 import net.minecraft.core.world.type.WorldType;
 
-public class WorldTypeParadise
+public class WorldTypeDrift
         extends WorldType {
-    public WorldTypeParadise(Properties properties) {
+    public WorldTypeDrift(Properties properties) {
         super(properties);
     }
 
@@ -23,8 +23,8 @@ public class WorldTypeParadise
         return Properties.of(translationKey)
                 .brightnessRamp(createLightRamp())
                 .seasonConfig(SeasonConfig.builder()
-                        .withSeasonInCycle(Seasons.PARADISE_GOLD, 28)
-                        .withSeasonInCycle(Seasons.PARADISE_SILVER, 28)
+                        .withSeasonInCycle(Seasons.DRIFT_GOLD, 28)
+                        .withSeasonInCycle(Seasons.DRIFT_SILVER, 28)
                         .build()
                 )
                 .fillerBlock(Blocks.MARBLE)
@@ -52,12 +52,12 @@ public class WorldTypeParadise
 
     @Override
     public BiomeProvider createBiomeProvider(World world) {
-        return new BiomeProviderSingleBiome(Biomes.PARADISE_PARADISE, 0.5, 0.0, 0.0);
+        return new BiomeProviderSingleBiome(Biomes.DRIFT_DRIFT, 0.5, 0.0, 0.0);
     }
 
     @Override
     public ChunkGenerator createChunkGenerator(World world) {
-        return new ChunkGeneratorParadise(world);
+        return new ChunkGeneratorDrift(world);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/world/type/nether/WorldTypeNether.java b/game/core/src/main/java/net/minecraft/core/world/type/nether/WorldTypeNether.java
index 3365e982b..c4096ea8e 100644
--- a/game/core/src/main/java/net/minecraft/core/world/type/nether/WorldTypeNether.java
+++ b/game/core/src/main/java/net/minecraft/core/world/type/nether/WorldTypeNether.java
@@ -22,7 +22,7 @@ public class WorldTypeNether
                 .oceanBlock(Blocks.FLUID_LAVA_STILL)
                 .fillerBlock(Blocks.COBBLE_NETHERRACK)
                 .withCeiling()
-                .bounds(0, 255, 128 + 32);
+                .bounds(0, 255, 64 + 32);
     }
 
     private static float[] getLightRamp() {
diff --git a/game/core/src/main/java/net/minecraft/core/world/type/overworld/WorldTypeOverworldB173.java b/game/core/src/main/java/net/minecraft/core/world/type/overworld/WorldTypeOverworldB173.java
new file mode 100644
index 000000000..8736d2c1c
--- /dev/null
+++ b/game/core/src/main/java/net/minecraft/core/world/type/overworld/WorldTypeOverworldB173.java
@@ -0,0 +1,27 @@
+package net.minecraft.core.world.type.overworld;
+
+import net.minecraft.core.world.World;
+import net.minecraft.core.world.biome.Biomes;
+import net.minecraft.core.world.biome.provider.BiomeProvider;
+import net.minecraft.core.world.biome.provider.BiomeProviderB173;
+import net.minecraft.core.world.biome.provider.BiomeProviderSingleBiome;
+import net.minecraft.core.world.generate.chunk.ChunkGenerator;
+import net.minecraft.core.world.generate.chunk.perlin.overworld.b173.ChunkGeneratorOverworldB173;
+import net.minecraft.core.world.generate.chunk.perlin.overworld.retro.ChunkGeneratorOverworldRetro;
+
+public class WorldTypeOverworldB173
+        extends WorldTypeOverworld {
+    public WorldTypeOverworldB173(Properties properties) {
+        super(properties);
+    }
+
+    @Override
+    public BiomeProvider createBiomeProvider(World world) {
+        return new BiomeProviderB173(world.getRandomSeed());
+    }
+
+    @Override
+    public ChunkGenerator createChunkGenerator(World world) {
+        return new ChunkGeneratorOverworldB173(world);
+    }
+}
diff --git a/game/core/src/main/resources/lang/en_US/biomes.lang b/game/core/src/main/resources/lang/en_US/biomes.lang
index 88866f1df..4ccddd7a8 100644
--- a/game/core/src/main/resources/lang/en_US/biomes.lang
+++ b/game/core/src/main/resources/lang/en_US/biomes.lang
@@ -26,4 +26,5 @@ biome.nether.volcanic_islands=Volcanic Islands
 biome.nether.sulfur_pools=Sulfur Pools
 biome.nether.crystal_forest=Crystal Forest
 biome.nether.ash_plains=Ash Plains
-biome.nether.boneyard=Boneyard
\ No newline at end of file
+biome.nether.boneyard=Boneyard
+biome.drift.drift=Drift
\ No newline at end of file
diff --git a/game/core/src/main/resources/lang/en_US/strings.lang b/game/core/src/main/resources/lang/en_US/strings.lang
index 1accede2c..62d7c905f 100644
--- a/game/core/src/main/resources/lang/en_US/strings.lang
+++ b/game/core/src/main/resources/lang/en_US/strings.lang
@@ -1,6 +1,6 @@
 dimension.overworld.name=the Overworld
 dimension.nether.name=the Nether
-dimension.paradise.name=Paradise
+dimension.drift.name=the Drift
 
 season.overworld.spring.name=Spring
 season.overworld.summer.name=Summer
@@ -8,8 +8,8 @@ season.overworld.fall.name=Fall
 season.overworld.winter.name=Winter
 season.overworld.hell.name=Hell
 season.overworld.winter.endless.name=Endless Winter
-season.paradise.gold.name=Gold
-season.paradise.silver.name=Silver
+season.drift.gold.name=Gold
+season.drift.silver.name=Silver
 season.null.name=No Season
 
 weather.overworld.clear.name=Clear
@@ -32,7 +32,7 @@ worldType.overworld.extended.desc=The intended experience for\nBTA, featuring la
 worldType.overworld.default.name=Default
 worldType.overworld.default.desc=A more vanilla-like experience.
 worldType.nether.default.name=Default
-worldType.paradise.default.name=Default
+worldType.drift.default.name=Default
 worldType.flat.name=Flat
 worldType.flat.desc=An infinite expanse of flat\ngrass.
 worldType.overworld.floating.name=Floating Islands
@@ -63,6 +63,8 @@ worldType.overworld.indev.name=Indev
 worldType.overworld.indev.desc=Terrain generation similar to\nIndev, but infinite.
 worldType.overworld.skyblock.name=Skyblock
 worldType.overworld.skyblock.desc=Hardcore survival on a tiny\nisland in the sky.
+worldType.overworld.beta_173.name=Beta 1.7.3
+worldType.overworld.beta_173.desc=Terrain generation as similar as possible to\n Minecraft Beta 1.7.3.
 
 disconnect.genericReason=%s
 disconnect.disconnected=Disconnected by Server
diff --git a/game/core/src/main/resources/lang/en_US/tile.lang b/game/core/src/main/resources/lang/en_US/tile.lang
index 04ef7794a..632881212 100644
--- a/game/core/src/main/resources/lang/en_US/tile.lang
+++ b/game/core/src/main/resources/lang/en_US/tile.lang
@@ -984,8 +984,8 @@ tile.glowstone.desc=Constantly emits a strong yellowish light.
 
 tile.portal.nether.name=Nether Portal
 tile.portal.nether.desc=A portal to the Nether.
-tile.portal.paradise.name=Paradise Portal
-tile.portal.paradise.desc=A portal to Paradise.
+tile.portal.drift.name=Drift Portal
+tile.portal.drift.desc=A portal to the Drift.
 
 tile.cake.name=Cake
 tile.cake.desc=I just can't cake it any more.
diff --git a/game/server/src/main/java/net/minecraft/server/MinecraftServer.java b/game/server/src/main/java/net/minecraft/server/MinecraftServer.java
index 9e6ac56f8..9050f318d 100644
--- a/game/server/src/main/java/net/minecraft/server/MinecraftServer.java
+++ b/game/server/src/main/java/net/minecraft/server/MinecraftServer.java
@@ -535,7 +535,7 @@ public class MinecraftServer
             {
                 continue;
             }
-            if (worldServer.dimension == Dimension.PARADISE && !propertyManager.getBooleanProperty("allow-paradise", false))
+            if (worldServer.dimension == Dimension.DRIFT && !propertyManager.getBooleanProperty("allow-drift", false))
             {
                 continue;
             }
@@ -744,7 +744,7 @@ public class MinecraftServer
             {
                 continue;
             }
-            if (worldServer.dimension == Dimension.PARADISE && !propertyManager.getBooleanProperty("allow-paradise", false))
+            if (worldServer.dimension == Dimension.DRIFT && !propertyManager.getBooleanProperty("allow-drift", false))
             {
                 continue;
             }
diff --git a/game/server/src/main/java/net/minecraft/server/entity/player/PlayerServer.java b/game/server/src/main/java/net/minecraft/server/entity/player/PlayerServer.java
index ae127c1be..5c6da3b7c 100644
--- a/game/server/src/main/java/net/minecraft/server/entity/player/PlayerServer.java
+++ b/game/server/src/main/java/net/minecraft/server/entity/player/PlayerServer.java
@@ -291,8 +291,8 @@ public class PlayerServer extends Player implements ContainerListener {
         {
             Dimension targetDim = ((BlockLogicPortal) Blocks.blocksList[portalID].getLogic()).targetDimension;
             boolean netherAllowed = mcServer.propertyManager.getBooleanProperty("allow-nether", true);
-            boolean paradiseAllowed = mcServer.propertyManager.getBooleanProperty("allow-paradise", false);
-            if ((netherAllowed && targetDim == Dimension.NETHER) || (paradiseAllowed && targetDim == Dimension.PARADISE) || (targetDim != Dimension.NETHER && targetDim != Dimension.PARADISE))
+            boolean driftAllowed = mcServer.propertyManager.getBooleanProperty("allow-drift", false);
+            if ((netherAllowed && targetDim == Dimension.NETHER) || (driftAllowed && targetDim == Dimension.DRIFT) || (targetDim != Dimension.NETHER && targetDim != Dimension.DRIFT))
             {
                 if (craftingInventory != inventorySlots)
                 {
diff --git a/gradle/libs.versions.toml b/gradle/libs.versions.toml
index afe96605a..b3d9e4852 100644
--- a/gradle/libs.versions.toml
+++ b/gradle/libs.versions.toml
@@ -5,7 +5,7 @@ lwjgl = "3.3.4"
 [libraries]
 jetbrains-annotations = { module = "org.jetbrains:annotations", version = "24.0.0" }
 gson = { module = "com.google.code.gson:gson", version = "2.10.1" }
-brigadier = { module = "com.github.Better-than-Adventure:bta-brigadier", version = "1.0.1"}
+brigadier = { module = "com.github.Better-than-Adventure:bta-brigadier", version = "1.0.2"}
 slf4j-api = { module = "org.slf4j:slf4j-api", version = "2.0.7" }
 log4j-core = { module = "org.apache.logging.log4j:log4j-core", version.ref = "log4j" }
 log4j-api = { module = "org.apache.logging.log4j:log4j-api", version.ref = "log4j" }
diff --git a/util/stellar/build.gradle.kts b/util/stellar/build.gradle.kts
index 27d57c62f..a8b5eebc0 100644
--- a/util/stellar/build.gradle.kts
+++ b/util/stellar/build.gradle.kts
@@ -5,14 +5,7 @@ plugins {
 repositories {
     mavenCentral()
     maven("https://libraries.minecraft.net/")
-    ivy {
-        url = uri("https://github.com/Better-than-Adventure")
-        patternLayout {
-            artifact("[organisation]/releases/download/[revision]/brigadier-[revision].jar")
-            m2Compatible
-        }
-        metadataSources { artifact() }
-    }
+    maven("https://jitpack.io")
 }
 
 dependencies {
